GET
https://api.cryptohopper.com/v1/subscription/plans
Returns the three main subscription plans with their monthly and yearly price.
Needs a valid access token, but no specific scope.
Example request
curl "https://api.cryptohopper.com/v1/subscription/plans" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/subscription/plans', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/subscription/plans",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/subscription/plans');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": [
{
"plan_id": "1",
"name": "Explorer",
"description": "Everything you need to start automated trading.",
"price_month": "29.00",
"price_year": "290.00"
}
]
}